Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLAQSB

    java.lang.Object
      org.netlib.lapack.SLAQSB

    public class SLAQSB

extends java.lang.Object

    SLAQSB is a simplified interface to the JLAPACK routine slaqsb.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAQSB equilibrates a symmetric band matrix A using the scaling
     *  factors in the vector S.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies whether the upper or lower triangular part of the
     *          symmetric matrix A is stored.
     *          = 'U':  Upper triangular
     *          = 'L':  Lower triangular
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  KD      (input) INTEGER
     *          The number of super-diagonals of the matrix A if UPLO = 'U',

     *          or the number of sub-diagonals if UPLO = 'L'.  KD >= 0.
     *
     *  AB      (input/output) REAL array, dimension (LDAB,N)
     *          On entry, the upper or lower triangle of the symmetric band
     *          matrix A, stored in the first KD+1 rows of the array.  The
     *          j-th column of A is stored in the j-th column of the array AB
     *          as follows:
     *          if UPLO = 'U', AB(kd+1+i-j,j) = A(i,j) for max(1,j-kd)<=i<=j;
     *          if UPLO = 'L', AB(1+i-j,j)    = A(i,j) for j<=i<=min(n,j+kd).
     *
     *          On exit, if INFO = 0, the triangular factor U or L from the
     *          Cholesky factorization A = U'*U or A = L*L' of the band
     *          matrix A, in the same storage format as A.
     *
     *  LDAB    (input) INTEGER
     *          The leading dimension of the array AB.  LDAB >= KD+1.
     *
     *  S       (input) REAL array, dimension (N)
     *          The scale factors for A.
     *
     *  SCOND   (input) REAL
     *          Ratio of the smallest S(i) to the largest S(i).
     *
     *  AMAX    (input) REAL
     *          Absolute value of largest matrix entry.
     *
     *  EQUED   (output) CHARACTER*1
     *          Specifies whether or not equilibration was done.
     *          = 'N':  No equilibration.
     *          = 'Y':  Equilibration was done, i.e., A has been replaced by

     *                  diag(S) * A * diag(S).
     *
     *  Internal Parameters
     *  ===================
     *
     *  THRESH is a threshold value used to decide if scaling should be done

     *  based on the ratio of the scaling factors.  If SCOND < THRESH,
     *  scaling is done.
     *
     *  LARGE and SMALL are threshold values used to decide if scaling should
     *  be done based on the absolute size of the largest matrix element.
     *  If AMAX > LARGE or AMAX < SMALL, scaling is done.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLAQSB()`

Method Summary
`static void` | `SLAQSB(java.lang.String uplo, int n, int kd, float[][] ab, float[] s, float scond, float amax, StringW equed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLAQSB

    public SLAQSB()

Method Detail

### SLAQSB

    public static void SLAQSB(java.lang.String uplo,
                              int n,
                              int kd,
                              float[][] ab,
                              float[] s,
                              float scond,
                              float amax,
                              StringW equed)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD